Which IE versions should we kill?

Discuss requests for comments/changes posted in the Issue Tracker for the development of phpBB's style.
Forum rules
Please do not post support questions regarding installing, updating, or upgrading phpBB or modifying styles of released phpBB versions. If you need support for phpBB please visit the Support Forums on phpbb.com.

If you have questions regarding creating styles please post in Styles Support & Discussion to receive proper guidance from our staff and community.
Post Reply

Which Internet Explorer versions should we kill?

IE8
12
16%
IE8 and IE9
23
31%
IE8, IE9 and IE10
5
7%
All of them!
28
37%
I love IE
7
9%
 
Total votes: 75

User avatar
brunoais
Registered User
Posts: 958
Joined: Fri Dec 18, 2009 3:55 pm

Re: Which IE versions should we kill?

Post by brunoais » Mon May 11, 2015 10:09 am

3.2%?!?! That IE8... Why people keep using it? What is the incentive?

User avatar
Dragosvr92
Registered User
Posts: 624
Joined: Tue May 31, 2011 12:08 pm
Location: Romania
Contact:

Re: Which IE versions should we kill?

Post by Dragosvr92 » Mon May 11, 2015 12:24 pm

brunoais wrote:3.2%?!?! That IE8... Why people keep using it? What is the incentive?
Windows XP users... Old noobs that dont like change and refuse to try Firefox or Chrome :lol:
Previous user: TheKiller
Avatar on Memberlist 1.0.3

User avatar
Louis7777
Registered User
Posts: 378
Joined: Fri Apr 04, 2014 12:32 am

Re: Which IE versions should we kill?

Post by Louis7777 » Mon May 11, 2015 12:36 pm

brunoais wrote:3.2%?!?! That IE8... Why people keep using it? What is the incentive?
Well, I have a good explanation.

IE8 is for Windows XP SP2 and later. Governments still use that OS and home users still use it as well. Governments are usually the last to drop support, like hanakin said. So those who are still on Windows XP, have IE8.

Then it's Windows Vista. It has IE8 and IE9. But, who the f uses that OS? Not governments, not home users.

Then it's Windows 7, still the most popular OS. IE8 is its default browser, then IE9 comes with an update, then IE10 comes with SP1, and not many updates later it gets updated to IE11.

IE10 is the default browser in Windows 8, but who the f is on Win8? Windows 8.1 comes with IE11.


So you can see why IE10 is used the least, and why IE9 comes next, then IE8 is the second most used, and IE11 is the first.

Because most people use Windows XP, Windows 7 SP1 and Windows 8.1. So they either have IE8 or IE11.

But, screw Windows XP users - Microsoft doesn't support that OS anymore. So what's left? Just Internet Explorer 11. Let's kill all the rest? :twisted:

User avatar
Dragosvr92
Registered User
Posts: 624
Joined: Tue May 31, 2011 12:08 pm
Location: Romania
Contact:

Re: Which IE versions should we kill?

Post by Dragosvr92 » Mon May 11, 2015 1:09 pm

Louis7777 wrote: But, screw Windows XP users - Microsoft doesn't support that OS anymore. So what's left? Just Internet Explorer 11. Let's kill all the rest? :twisted:
I like how you think, your evilness :twisted:

I doubt government workers use their computers to browse phpbb forums. They should just use it mostly for calculations and entering data in their databases. I think Win7 updates the browser automatically to IE11. If they have net and updates enabled. if they've got no net they wont care about their browser.

We can simply notify them to upgrade to a modern browser as the page they visit wont render well in their old browser.
If they refuse, its their problem.
Previous user: TheKiller
Avatar on Memberlist 1.0.3

User avatar
Louis7777
Registered User
Posts: 378
Joined: Fri Apr 04, 2014 12:32 am

Re: Which IE versions should we kill?

Post by Louis7777 » Mon May 11, 2015 1:22 pm

Dragosvr92 wrote:I doubt government workers use their computers to browse phpbb forums. They should just use it mostly for calculations and entering data in their databases.
Can't believe I didn't think of that myself. :)

User avatar
DavidIQ
Customisations Team Leader
Customisations Team Leader
Posts: 1731
Joined: Thu Mar 02, 2006 4:29 pm
Location: Earth
Contact:

Re: Which IE versions should we kill?

Post by DavidIQ » Mon May 11, 2015 7:22 pm

brunoais wrote:3.2%?!?! That IE8... Why people keep using it? What is the incentive?
We could say we don't support IE8 in 3.1 and it won't make a single bit of difference since nobody would/should spend time rewriting prosilver to remove supposed IE8 "hacks". And, at the moment, it wouldn't make much of a difference if we dropped support for IE8 in 3.2. The main reason support will be dropped for IE8 in the future would be to rewrite the style from scratch and not have to worry about accommodating IE8's reported shortcomings. With that said a new style wouldn't come before 3.2 and there's no guarantee that a new style would be done in time for 3.2. So yes...dropping IE8 support would be done in 3.2 at a minimum.

Not that I'm against dropping support for IE8 but, besides Hanakin, why is everyone in this topic out with their pitchforks against IE8? Is it because you've heard that IE8 is "bad' and just want to jump on the IE-hate-bandwagon or do you actually have something that you want to do in phpBB's prosilver that is hindered by the current support for IE8?
Image

User avatar
Louis7777
Registered User
Posts: 378
Joined: Fri Apr 04, 2014 12:32 am

Re: Which IE versions should we kill?

Post by Louis7777 » Mon May 11, 2015 9:43 pm

DavidIQ wrote:Is it because you've heard that IE8 is "bad' and just want to jump on the IE-hate-bandwagon or...
Heard? We know that it's bad. And there are other IE versions waiting to be killed. Let's at least kill IE8, now.
DavidIQ wrote:...do you actually have something that you want to do in phpBB's prosilver that is hindered by the current support for IE8?
A few testimonials:

"biggest problem seems to be IE-9s stupid handling of border-radius" ( https://github.com/phpbb/phpbb/pull/270 ... t-48114386 )

"@nickvergessen Have this in 3.2 and drop support for IE9 there?" ( https://github.com/phpbb/phpbb/pull/270 ... t-53047021 )

"Internet Explorer 8 does not support the transform property or the -ms-transform." ( https://github.com/phpbb/phpbb/pull/279 ... nt-7249943 )

"Unfortunately, the @keyframes rule is not supported in Internet Explorer 9 and earlier. And box-shadow is not supported in Internet Explorer 8." ( https://github.com/phpbb/phpbb/pull/279 ... nt-7257833 )

"-ms-linear-gradient only supported in IE10 Consumer Preview. Release IE10 support prefix-free version of the gradient. I believe that we need to remove these lines." ( https://github.com/phpbb/phpbb/pull/270 ... t-48113023 )

"I can't help feeling that 90% of this PR is just to accommodate IE9." ( https://github.com/phpbb/phpbb/pull/270 ... t-48170524 )

User avatar
DavidIQ
Customisations Team Leader
Customisations Team Leader
Posts: 1731
Joined: Thu Mar 02, 2006 4:29 pm
Location: Earth
Contact:

Re: Which IE versions should we kill?

Post by DavidIQ » Mon May 11, 2015 10:03 pm

Louis7777 wrote:A few testimonials:
The question was really more for those that don't know much about styling yet are the ones complaining just for the heck of it. Good solid reasons though.
Image

User avatar
Pony99CA
Registered User
Posts: 986
Joined: Sun Feb 08, 2009 2:35 am
Location: Hollister, CA
Contact:

Re: Which IE versions should we kill?

Post by Pony99CA » Tue May 12, 2015 2:49 am

Louis7777 wrote:
DavidIQ wrote:...do you actually have something that you want to do in phpBB's prosilver that is hindered by the current support for IE8?
A few testimonials:

"biggest problem seems to be IE-9s stupid handling of border-radius" ( https://github.com/phpbb/phpbb/pull/270 ... t-48114386 )

"@nickvergessen Have this in 3.2 and drop support for IE9 there?" ( https://github.com/phpbb/phpbb/pull/270 ... t-53047021 )

"Internet Explorer 8 does not support the transform property or the -ms-transform." ( https://github.com/phpbb/phpbb/pull/279 ... nt-7249943 )

"Unfortunately, the @keyframes rule is not supported in Internet Explorer 9 and earlier. And box-shadow is not supported in Internet Explorer 8." ( https://github.com/phpbb/phpbb/pull/279 ... nt-7257833 )

"-ms-linear-gradient only supported in IE10 Consumer Preview. Release IE10 support prefix-free version of the gradient. I believe that we need to remove these lines." ( https://github.com/phpbb/phpbb/pull/270 ... t-48113023 )

"I can't help feeling that 90% of this PR is just to accommodate IE9." ( https://github.com/phpbb/phpbb/pull/270 ... t-48170524 )
Ummm, most of those reasons are about IE 9 (and presumably earlier). Are you also suggesting dropping support for IE 9?

Steve
Silicon Valley Pocket PC (http://www.svpocketpc.com)
Creator of manage_bots and spoof_user (ask me)
Need hosting for a small forum with full cPanel & MySQL access? Contact me or PM me.

User avatar
Pony99CA
Registered User
Posts: 986
Joined: Sun Feb 08, 2009 2:35 am
Location: Hollister, CA
Contact:

Re: Which IE versions should we kill?

Post by Pony99CA » Tue May 12, 2015 2:57 am

Dragosvr92 wrote: I doubt government workers use their computers to browse phpbb forums. They should just use it mostly for calculations and entering data in their databases.
Some of us browse during our lunch or breaks. :P
Dragosvr92 wrote: I think Win7 updates the browser automatically to IE11. If they have net and updates enabled.
It may now, but many corporations turn off automatic updates, preferring to apply patches on their terms, not Microsoft's. That's one reason that they won't allow Firefox here. (We just got Google Chrome installed this week, but that's because the IT staff can prevent automatic updates.) Until last year, I believe, we were using IE 8 on Windows 7 -- and when they upgraded us all to IE 10, it broke our ability to use an important piece of software, so they had to push some of us back to IE 9.

If you've never worked in a large corporation or government, it's probably best not to opine on things that you don't know.

Steve
Silicon Valley Pocket PC (http://www.svpocketpc.com)
Creator of manage_bots and spoof_user (ask me)
Need hosting for a small forum with full cPanel & MySQL access? Contact me or PM me.

Post Reply